/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2021-05-02
 * Changed:         2024-09-11
 *
 * */

#ifndef LS_STD_LIBRARY_VERSION_HPP
#define LS_STD_LIBRARY_VERSION_HPP

#include <ls-std/os/dynamic-goal.hpp>
#include <string>

/*
 * @doc: class(name: 'LibraryVersion', package: 'core')
 * @doc: core.LibraryVersion.description('This class provides the version information of this library.')
 * */

namespace ls::std::core
{
  class LS_STD_DYNAMIC_GOAL LibraryVersion
  {
    public:

      LibraryVersion();
      ~LibraryVersion();

      [[nodiscard]] static ::std::string getVersion();
  };
}

#endif
